## writer2xhtml 1.7.1

=== debian/changelog ===
writer2xhtml (1.7.1-7) unstable; urgency=medium

  * upload to unstable

  * debian/rules:
    - update PrinterName/Setup hack
    - use src/distro/changelog.txt for dh_installchangelogs instead of
      History.txt

 -- Rene Engelhard <rene@debian.org>  Sat, 03 Jan 2026 15:40:28 +0100

writer2xhtml (1.7.1-6) experimental; urgency=medium

  * install xhtml-config-sample extension in libreoffice-writer2xhtml 

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Dec 2025 14:18:04 +0100

writer2xhtml (1.7.1-5) experimental; urgency=medium

  * fix (unused) /usr/share/writer2xhtml/writer2xhtml.jar symlink
  * debian/tests/*: merge autopkgtests from writer2latex

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Dec 2025 00:48:31 +0100

writer2xhtml (1.7.1-3) experimental; urgency=medium

  * *really* fix README.source completely (two missed writer2latex) 

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Oct 2025 18:23:44 +0100

writer2xhtml (1.7.1-2) experimental; urgency=medium

  * fix README.source
  * use https://writer2latex.sourceforge.net/writer2xhtml.html in
    Homepage:

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Oct 2025 17:20:21 +0100

writer2xhtml (1.7.1-1) experimental; urgency=medium

  * Initial release
  * update package descriptions, this is now writer2xhtml only
    (closes: #653629)

 -- Rene Engelhard <rene@debian.org>  Sat, 25 Oct 2025 22:51:53 +0200
