=== debian/control ===
Source: writer2xhtml
Section: text
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders:
 Rene Engelhard <rene@debian.org>
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 liblibreoffice-java,
 unzip,
 zip,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/libreoffice-team/extensions/writer2xhtml.git
Vcs-Browser: https://salsa.debian.org/libreoffice-team/extensions/writer2xhtml
Homepage: https://writer2latex.sourceforge.net/writer2xhtml.html

Package: writer2xhtml
Architecture: all
Depends:
 default-jre | java11-runtime,
 libwriter2xhtml-java,
 ${misc:Depends},
Recommends:
 www-browser | x-www-browser | pdf-viewer | libreoffice-writer,
Description: LibreOffice Writer/Calc to XHTML converter
 LibreOffice extension and standalone library to convert text documents to HTML
 and EPUB.
 .
 This package contains the command-line uility.

Package: writer2xhtml-manual
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: LibreOffice Writer/Calc to XHTML converter -- manual
 LibreOffice extension and standalone library to convert text documents to HTML
 and EPUB.
 .
 This package contains the manual.

Package: libwriter2xhtml-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 www-browser | x-www-browser,
Multi-Arch: foreign
Description: LibreOffice Writer/Calc to XHTML converter -- javadoc
 LibreOffice extension and standalone library to convert text documents to HTML
 and EPUB.
 .
 This package contains the javadoc for the writer2xhtml library.

Package: libwriter2xhtml-java
Section: java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
Description: LibeOffice Writer/Calc to XHTML converter -- library
 LibreOffice extension and standalone library to convert text documents to HTML
 and EPUB.
 .
 This package contains the java library.

Package: libreoffice-writer2xhtml
Architecture: all
Depends:
 default-jre | java11-runtime,
 liblibreoffice-java,
 libreoffice-core,
 libreoffice-java-common,
 ${java:Depends},
 ${misc:Depends},
Enhances:
 libreoffice-calc,
 libreoffice-writer,
Description: Writer/Calc to XHTML converter extension for LibreOffice
 LibreOffice extension and standalone library to convert text documents to HTML
 and EPUB.
 .
 This package contains the extension providing writer2xhtml for LibreOffice.
